﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Schedules;
using Infragistics.Collections;

namespace GetActivities
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        ObservableCollection<Task> tasks = new ObservableCollection<Task>();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });


           Appointment myReccAppointment = new Appointment
            {
                Id = "t" + 2,
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Subject = "Reccurent App",
                Description = "My  Reccurent App " + 1,
                Start = DateTime.Now,
                End = DateTime.Now.AddMinutes(15),
                IsTimeZoneNeutral = true
            };

            DateRecurrence rec = new DateRecurrence();
            rec.Count = 10;
            rec.Frequency = DateRecurrenceFrequency.Daily;
            rec.Interval = 1;

            myReccAppointment.Recurrence = rec;
            appointments.Add(myReccAppointment);


            //===================== Setting the time zone to the local time zone ==============================//
            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = TimeZone.CurrentTimeZone.StandardName;
            // ================================================================================================//
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.TaskItemsSource = tasks;

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            var result = dataManager.GetActivities(new ActivityQuery(
                ActivityTypes.Appointment,
                new Infragistics.DateRange(DateTime.Now.AddDays(-1), DateTime.Now.AddDays(11)),
                calendars[0]));

            string activities = "";
            int i = 1;
            foreach (Appointment app in result.Activities)
            {
                activities += i + ": " + app.Subject + "\n";
                i++;
            }
            MessageBox.Show(activities);
        }
    }

}